Name:           ncmpc
Version:        0.11.1
Release:        9%{?dist}
Summary:        A curses client for the Music Player Daemon (MPD)

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.musicpd.org/ncmpc.shtml
Source0:        http://mercury.chem.pitt.edu/~shank/ncmpc-0.11.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel
BuildRequires:  glib2-devel >= 2.4
BuildRequires:  gettext

%description
ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc connects to 
a MPD running on a machine on the local network, and controls this with an 
interface inspired by cplay. 

Music Player Daemon (MPD) allows remote access for playing music (MP3, 
Ogg Vorbis, FLAC, AAC, and wave files) and managing playlists. MPD is 
designed for integrating a computer into a stereo system that provides 
control for music playback over a local network. Read more at musicpd.org

%prep
%setup -q

%build
%configure --enable-clock-screen
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ncmpc
install -p -m644 doc/config.sample \
    $RPM_BUILD_ROOT%{_sysconfdir}/ncmpc/config
install -p -m644 doc/keys.sample $RPM_BUILD_ROOT%{_sysconfdir}/ncmpc/keys

%find_lang ncmpc

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ncmpc.lang
%defattr(-,root,root,-)
%doc README TODO NEWS AUTHORS ChangeLog doc/ncmpc.lirc
%{_bindir}/ncmpc
%{_mandir}/man1/*
%{_sysconfdir}/ncmpc
%exclude %{_datadir}/doc/*

%changelog
* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0.11.1-9
- Rebuilt for gcc43

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11.1-2
- new license tag
- rebuild for buildid

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.11.1-7
- FE6 rebuild

* Tue Aug 01 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.11.1-6
- fix #200423

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.11.1-5
- Rebuild for Fedora Extras 5

* Fri Jun 24 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.11.1-4
- correct summary

* Thu Jun 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.11.1-3
- add dist tag

* Thu Jun 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.11.1-2
- some changes suggested by Aurélien Bompard

* Wed Jun 01 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.11.1-1
- Initial Release
